<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SkillsFormulas](./bitburner.skillsformulas.md) &gt; [calculateExp](./bitburner.skillsformulas.calculateexp.md)

## SkillsFormulas.calculateExp() method

Calculate exp for skill level.

**Signature:**

```typescript
calculateExp(skill: number, skillMult?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  skill | number | target skill level |
|  skillMult | number | _(Optional)_ Multiplier for that skill, defaults to 1. |

**Returns:**

number

The calculated exp required.

